routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


Auth::routes();
Route::get('/', 'HomeController@client');
Route::get('home', 'HomeController@client')->name('home');
Route::group(['middleware' => 'is_admin'], function () {
  Route::get('admin', 'HomeController@admin')->name('admin.home')->middleware('is_admin');
  
  Route::resource('admin/brand','BrandController');
  Route::resource('admin/kategori','KategoriController');
  Route::resource('admin/list-produk','ProdukController');
  Route::resource('admin/rekening','RekeningController');
  Route::resource('admin/member', 'MemberController');

  Route::get('admin/pesanan', 'PesananController@index');
  Route::post('admin/pesanan/konfirmasi-pembayaran/{id}', 'PesananController@konfirmasiPembayaran');
  Route::post('admin/pesanan/batal-konfirmasi-pembayaran/{id}', 'PesananController@batalKonfirmasiPembayaran');
  Route::post('admin/pesanan/konfirmasi-pengambilan/{id}', 'PesananController@konfirmasiPengambilan');
  Route::post('admin/pesanan/batal-konfirmasi-pengambilan/{id}', 'PesananController@batalKonfirmasiPengambilan');
  Route::post('admin/pesanan/konfirmasi-pengembalian/{id}', 'PesananController@konfirmasiPengembalian');
  Route::post('admin/pesanan/batal-konfirmasi-pengembalian/{id}', 'PesananController@batalKonfirmasiPengembalian');
  
  Route::get('admin/pesanan-detail/{id}','PesananController@pesananDetail');

  Route::get('admin/laporan','LaporanController@index');
});

Route::resource('produk','Client\ProdukController');
Route::get('produk/brand/{brand}','Client\ProdukController@showBrand')->name('produk.show_brand');
Route::get('produk/brand/kategori/{kategori}','Client\ProdukController@showKategori')->name('produk.show_kategori');



Route::get('kontak', 'KontakController@index');

Route::get('profil','Client\ProfilController@index')->name('profil.index');
Route::get('profil/edit', 'Client\ProfilController@edit')->name('profil.edit');
Route::get('profil/avatar/edit', 'Client\ProfilController@editAvatar')->name('profil.edit_avatar');
Route::post('profil/update', 'Client\ProfilController@update')->name('profil.update');
Route::post('profil/avatar/update', 'Client\ProfilController@updateAvatar')->name('profil.update_avatar');
Route::post('profil/avatar/destroy', 'Client\ProfilController@destroyAvatar')->name('profil.destroy_avatar');


Route::get('rental/{id}', 'RentalController@index');
Route::post('rental/{id}', 'RentalController@store');


Route::get('checkout', 'RentalController@checkout');
Route::delete('checkout/{id}', 'RentalController@delete');


Route::get('pembayaran', 'PembayaranController@index');
Route::post('upload-bukti-pembayaran', 'PembayaranController@uploadBukti');

Route::get('pesanan', 'Client\PesananController@index');
Route::get('pesanan-detail/{id}','Client\PesananController@show');

app/Produk.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Produk extends Model
{
    protected $table = 'produk';
    protected $fillable = ['nama_produk','kategori_id','brand_id','harga_sewa','stok','deskripsi','spesifikasi','foto'];

    public function kategori() 
    {
        return $this->belongsTo('App\Kategori');
        
        // return $this->hasOne('App\Kategori');
    }

     public function brand() 
    {
        return $this->belongsTo('App\Brand');
        
        // return $this->hasOne('App\BRAND');
    }

    public function pesanan_detail()
    {
        return $this->hasMany('App\PesananDetail');
    }

}

app/Http/Controllers/Client/ProdukController.php
<?php

namespace App\Http\Controllers\Client;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Produk;
use App\Kategori;
use App\Brand;
use File;

class ProdukController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        $produk = Produk::latest()->get();
        $kategori = Kategori::all();
        $brand = Brand::all();


        return view('client.produk.index',compact('produk','kategori','brand'));
    }

    public function showBrand(Brand $brand)
    {
        $produk = $brand->Produk()->get();
        $kategori = Kategori::select('id', 'kategori')->get();
        $brand = Brand::all();
         
         return view('client.produk.index', compact( 'produk', 'brand', 'kategori'));
         
    }

    public function showKategori(Kategori $kategori)
    {
        $produk = $kategori->Produk()->get();
        $kategori = Kategori::select('id', 'kategori')->get();
        $brand = Brand::all();
         
        return view('client.produk.index', compact( 'produk', 'brand', 'kategori'));
         
     }


    

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
        $produk = Produk::find($id);
        return view('client.produk.detail', compact('produk'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

app/Http/Controllers/ProdukController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Produk;
use App\Kategori;
use App\Brand;
use File;
use Input;
class ProdukController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        $produk = Produk::latest()->paginate(5);
        $kategori = Kategori::all();
        $brand = Brand::all();
        return view('admin.produk.index', compact('produk', 'kategori', 'brand'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
        $brand = Brand::all();
        $kategori = Kategori::all();
        return view('admin.produk.create',compact('brand', 'kategori'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request, [
            'nama_produk'=> 'required',
            'kategori_id'=> 'required',
            'brand_id'=> 'required',
            'harga_sewa'=> 'required',
            'stok'=> 'required',
            'deskripsi'=> 'required',
            'spesifikasi'=> 'required',
            'foto' => 'required|file|image|mimes:jpeg,png,jpg|max:2048',
        ]);
     
        $foto = $request->file('foto');
        $nama_foto = time()."_".$foto->getClientOriginalName();
        $foto->move('img/produk',$nama_foto);
     
        Produk::create([
            'file' => $nama_foto,
            'keterangan' => $request->keterangan,
            'nama_produk' => $request->nama_produk,
            'merek' => $request->merek,
            'kategori_id' => $request->kategori_id,
            'brand_id' => $request->brand_id,
            'harga_sewa' => $request->harga_sewa,
            'stok' => $request->stok,
            'deskripsi' => $request->deskripsi,
            'spesifikasi' => $request->spesifikasi,
            'foto' => $nama_foto
        ]);

        return redirect()->route('list-produk.index')->with('sukses', 'Data Produk Berhasil Ditambahkan');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $produk = Produk::find($id);
        $kategori = Kategori::all();
        $brand = Brand::all();
        return view('admin.produk.edit',compact('produk','kategori','brand'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        // dd($request->all());
        $this->validate($request, [
            'nama_produk'=> 'required',
            'kategori_id'=> 'required',
            'brand_id'=> 'required',
            'harga_sewa'=> 'required',
            'stok'=> 'required',
            'deskripsi'=> 'required',
            'spesifikasi'=> 'required'
        ]);

        $produk = Produk::find($id);
        $produk->update($request->all());
        // // update foto            
        if($request->hasFile('foto')){
            File::delete('img/produk/'.$produk->foto);
            $foto = $request->file('foto');
            $nama_foto = time()."_".$foto->getClientOriginalName();
            $foto->move('img/produk',$nama_foto);
            $produk->foto = $nama_foto;
            $produk->update();            
        }
        return redirect()->route('list-produk.index')->with('sukses', 'Data Berhasil Update');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
        $produk = Produk::find($id);
        File::delete('img/produk/'.$produk->foto);
        
        $produk->delete();
        return redirect()->route('list-produk.index')->with('sukses','Data Produk Berhasil Dihapus');
    }
}

resources/views/admin/produk/create.blade.php
@extends('layouts.admin')

@section('konten')
<div class="container-fluid p-4">
  <h4 class="mt-3 mb-3 text-center">Tambah Produk</h4>

  <div class="col-md-6 mx-auto">

    <div class="card">
      <div class="card-body">
        @if ($errors->any())
        <div class="alert alert-danger">
          <strong>Whoops!</strong> Periksa Kembali Inputan Anda.<br><br>
          <ul>
            @foreach ($errors->all() as $error)
            <li>{{ $error }}</li>
            @endforeach
          </ul>
        </div>
        @endif

        <form action="{{ route('list-produk.store') }}" method="POST" enctype="multipart/form-data">
          @csrf
          <div class="form-group">
            <label for="kategori">Nama Produk</label>
            <input type="text" name="nama_produk" required="required" class="form-control" id="nama_produk"
              placeholder="Nama Produk">
          </div>
          <div class="form-group">
            <label for="kategori">Kategori</label>
            <select class="form-control" id="kategori_id" name="kategori_id">
              <option selected disabled>Pilih Kategori
              </option>
              @foreach ($kategori as $k)
              <option value="{{$k->id}}">{{ $k->kategori }}</option>
              @endforeach
            </select>
          </div>

          <div class="form-group">
            <label for="brand">Brand</label>
            <select class="form-control" id="brand_id" name="brand_id">
              <option selected disabled>Pilih Brand
              </option>
              @foreach ($brand as $b)
              <option value="{{$b->id}}">{{ $b->nama_brand }}</option>
              @endforeach
            </select>
          </div>
          <div class="form-group">
            <label for="harga_sewa">Harga Sewa</label>
            <input type="number" name="harga_sewa" required="required" class="form-control" id="harga_sewa">
          </div>
          <div class="form-group">
            <label for="stok">Stok</label>
            <input type="number" name="stok" required="required" class="form-control" id="stok">
          </div>
          <div class="form-group">
            <label for="deskripsi">Deskripsi</label>
            <textarea name="deskripsi" class="form-control" id="deskripsi" rows="2"></textarea>
          </div>
          <div class="form-group">
            <label for="spesifikasi">Spesifikasi</label>
            <textarea name="spesifikasi" class="form-control" id="spesifikasi" rows="3"></textarea>
          </div>

          <div class="form-group">
            <label for="foto">Foto Produk (max 2Mb)</label>
            <input type="file" class="form-control-file" id="foto" name="foto">
          </div>

          <button type="submit" class="btn btn-primary">Submit</button>
          <a href="{{ route('list-produk.index') }}" class="btn btn-secondary">Kembali</a>
        </form>
      </div>
    </div>
  </div>
</div>
@endsection

resources/views/admin/produk/edit.blade.php
@extends('layouts.admin')

@section('konten')
<div class="container-fluid p-4">
  <h4 class="mt-3 mb-3 text-center">Edit Produk</h4>


  <div class="col-md-6 mx-auto">
    <div class="card">
      <div class="card-body">
        @if ($errors->any())
        <div class="alert alert-danger">
          <strong>Whoops!</strong> Periksa Kembali Inputan Anda.<br><br>
          <ul>
            @foreach ($errors->all() as $error)
            <li>{{ $error }}</li>
            @endforeach
          </ul>
        </div>
        @endif
        <form action="{{ route('list-produk.update',$produk->id) }}" method="POST" enctype="multipart/form-data">
          @csrf
          @method('PUT')
          <div class="form-group">
            <label for="nama_produk">Nama Produk</label>
            <input type="text" name="nama_produk" required="required" class="form-control"
              value="{{$produk->nama_produk}}">
          </div>

          <div class="form-group">
            <label for="kategori">Kategori</label>
            <select class="form-control" id="" name="kategori_id">
              <option selected disabled>Pilih Kategori
              </option>
              @foreach ($kategori as $k)
              <option value="{{$k->id}}" @if ($k->id === $produk->kategori_id)
                selected
                @endif
                > {{ $k->kategori }}
              </option>
              @endforeach
            </select>
          </div>

          <div class="form-group">
            <label for="brand">Brand</label>
            <select class="form-control" id="" name="brand_id">
              <option selected disabled>Pilih Brand
              </option>
              @foreach ($brand as $b)
              <option value="{{$b->id}}" @if ($b->id === $produk->brand_id)
                selected
                @endif
                > {{ $b->nama_brand }}
              </option>
              @endforeach
            </select>
          </div>
          <div class="form-group">
            <label for="harga_sewa">Harga Sewa</label>
            <input type="number" name="harga_sewa" required="required" class="form-control"
              value="{{$produk->harga_sewa}}">
          </div>
          <div class="form-group">
            <label for="stok">Stok</label>
            <input type="number" name="stok" required="required" class="form-control" value="{{$produk->stok}}">
          </div>
          <div class="form-group">
            <label for="deskripsi">Deskripsi</label>
            <textarea name="deskripsi" class="form-control" rows="2">{{$produk->deskripsi}}</textarea>
          </div>
          <div class="form-group">
            <label for="spesifikasi">Spesifikasi</label>
            <textarea name="spesifikasi" class="form-control" rows="3">{{$produk->spesifikasi}}</textarea>
          </div>

          <div class="form-group">
            <label for="foto">Foto Produk</label>
            <input type="file" class="form-control-file" name="foto">
          </div>
          <input type="submit" class="btn btn-warning" value="Update">
          <a href="{{ route('list-produk.index') }}" class="btn btn-secondary">Kembali</a>
        </form>
      </div>
    </div>
  </div>
</div>
@endsection

resources/views/admin/produk/index.blade.php
@extends('layouts.admin')

@section('konten')

<div class="container-fluid p-4">
  <h3 class="text-center">List Produk</h3>
  @if(session('sukses'))
  <div class="alert alert-success">
    {{session('sukses')}}
  </div>
  @endif
  <div class="mb-3">
    <a href="{{ route('list-produk.create') }}" class="btn btn-primary mt-2 mb-4 float-right"><i class="fa fa-plus">
      </i> Tambah Produk</a>
  </div>
  <div class="table table-responsive">
    <table id="produkTable" class="table table-bordered table-hover">
      <tr class="text-center">
        <th>No.</th>
        <th>Nama Produk</th>
        <th>Kategori</th>
        <th>Brand</th>
        <th>Harga Sewa Per Hari</th>
        <th>Stok</th>
        <th>Deskripsi</th>
        <th>Spesifikasi</th>
        <th>Foto Produk</th>
        <th>Aksi</th>
      </tr>

      @foreach ($produk as $p)
      <tr>
        <td>{{ $loop->iteration }}</td>
        <td>{{ $p->nama_produk }}</td>
        <td>{{$p->kategori->kategori}}</td>
        <td>{{$p->brand->nama_brand}}</td>


        <td>Rp. {{ number_format($p->harga_sewa) }}</td>
        <td>{{ $p->stok }}</td>
        <td>{{ $p->deskripsi }}</td>
        <td>{{ $p->spesifikasi }}</td>
        <td>
          <img src="{{asset('img/produk/'.$p->foto) }}" alt="" width="80px">
        </td>
        <td class="text-center">
          <form action="{{ route('list-produk.destroy',$p->id) }}" method="POST">
            <a href="{{ route('list-produk.edit',$p->id) }}" class="btn btn-success btn-sm mr-3 mb-1"><i
                class="fa fa-edit"></i>
              Edit</a>
            @csrf
            @method('DELETE')
            <button type="submit" class="btn btn-danger btn-sm mr-3" onclick="return confirm('Hapus Data?');"><i
                class="fa fa-trash"></i> Hapus</button>
          </form>
        </td>
      </tr>
      @endforeach
    </table>
  </div>
  <br />
  {{ $produk->links() }}
  Halaman : {{ $produk->currentPage() }} <br />
  Jumlah Data : {{ $produk->total() }} <br />
  Data Per Halaman : {{ $produk->perPage() }} <br />

</div>
@endsection